
export default class Http {
    static async get(url, token) {
        const response = await fetch(`${url}`, {
            method: 'get',
            credentials: 'same-origin',
            mode: 'cors',
            cache: 'no-cache',
            headers: {
                'content-type': 'application/json',
                Authorization: token
            }
        });
        try {
            return response.json();
        } catch (parseError) {
            return {error: 'Ups... Algo salio mal comunicate con nuestro centro de ayuda', response};
        }
    }
}
